hwloc_topology_discovery_support(3)

NAME
hwloc_topology_discovery_support

SYNOPSIS

#include <hwloc.h>

  Data Fields
unsigned char pu
unsigned char numa
unsigned char numa_memory
unsigned char disallowed_pu
unsigned char disallowed_numa
unsigned char cpukind_efficiency

Detailed Description

Flags describing actual discovery support for this topology.

Field Documentation

  unsigned char hwloc_topology_discovery_support::cpukind_efficiency

Detecting the efficiency of CPU kinds is supported, see Kinds of CPU cores.

  unsigned char hwloc_topology_discovery_support::disallowed_numa

Detecting and identifying NUMA nodes that are not available to the current process is supported.

  unsigned char hwloc_topology_discovery_support::disallowed_pu

Detecting and identifying PU objects that are not available to the current process is supported.

  unsigned char hwloc_topology_discovery_support::numa

Detecting the number of NUMA nodes is supported.

  unsigned char hwloc_topology_discovery_support::numa_memory

Detecting the amount of memory in NUMA nodes is supported.

  unsigned char hwloc_topology_discovery_support::pu

Detecting the number of PU objects is supported.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.